# yapf_node.hpp File Reference

Node in the pathfinder's graph. More...

Go to the source code of this file.

## Data Structures
struct | CYapfNodeKeyExitDir
| Yapf Node Key that evaluates hash from (and compares) tile & exit dir. More...
struct | CYapfNodeKeyTrackDir
struct | CYapfNodeT< Tkey_, Tnode >
| Yapf Node base. More...
struct | CYapfShipNodeT< Tkey_ >
| Yapf Node for ships. More...
## Typedefs
typedef CYapfShipNodeT < CYapfNodeKeyExitDir > | CYapfShipNodeExitDir
typedef CYapfShipNodeT < CYapfNodeKeyTrackDir > | CYapfShipNodeTrackDir
typedef CNodeList_HashTableT < CYapfShipNodeExitDir, 14, 16 > | CShipNodeListExitDir
typedef CNodeList_HashTableT < CYapfShipNodeTrackDir, 16, 20 > | CShipNodeListTrackDir

## Detailed Description

Node in the pathfinder's graph.

Definition in file yapf_node.hpp.